function MakeFigures(mImage,mFoldedImage,mRecoveredImage1,mRecoveredImage2,method,maxIntensity)
% MakeFigures Displays a figure with four subfigures showing the original
% image, the folded image, the image recovered with the incorrect private
% key and the image recovered with the correct private key.

figure;
subplot(2,2,1);
imshow(mImage,[0,maxIntensity]);
title(['Original Image (I)']);
subplot(2,2,2);
imshow(mFoldedImage,[0,maxIntensity]);
[y x] = size(mImage);
axis([0 x-1 0 y-1])
title([method, ': Folded Image (G = Host + F)']);
subplot(2,2,3);
imshow(mRecoveredImage1,[0,maxIntensity]);
title(['Recovery with incorrect private key' ]);
subplot(2,2,4)
imshow(mRecoveredImage2,[0,maxIntensity]);
title(['Recovery with correct private key']);