function [ mCnApprox, nChosen, vCn, iV1, iV2 ] =  Thresholding(mCn, threshold)

szMCn = size(mCn);
% Initialize return values
mCnApprox = zeros(szMCn);

% Get the logical index's of the coefficients we want to keep
indKeep = find(abs(mCn) >= threshold);

% Threshold coefficients
mCnApprox(indKeep) = mCn(indKeep);

% Get a vector containing only retained coefficients
vCn = mCn(indKeep);

% Get indexes of retained coefficients
[iV1, iV2] = ind2sub(szMCn,indKeep);

% Find number of retained coefficinets
nChosen = length(iV1);